#ifndef _MODELGLOBAL_H
#define _MODELGLOBAL_H

namespace Engine {

/** \brief Adds the function callback as command for the given name*/
unsigned int GetPlayerEntityId ();

/** \brief Returns the duration of the frame in seconds */
float GetFrameDuration ();

/** \brief Starts a timer with the given id that expires after sec seconds */
void StartTimer(const std::string &id, float sec);

/** \brief Checks whether a timer expired */
bool CheckTimer(const std::string &id);

}

#endif /* _MODELGLOBAL_H */

